function getColumns() {
	let columns = [
		{
			title: `N°`,
			data: `id`,
			className: 'text-center'
		},
		{
			title: `PERSONAL`,
			data: null,
			className: `text-center`,
			render: (data) => {
				let nombresCompletos;
				let nombres = data.trabajador_nombres;
				let apellidos = data.trabajador_apellidos;
				nombresCompletos = `${apellidos} ${nombres}`;

				return nombresCompletos;
			}
		},
		{
			title: "FECHA",
			data: "fecha_inicio",
			className: "text-center"
		},
		{
			title: `MOTIVO`,
			data: `motivo`,
			className: 'text-center'
		},
		{
			title: `ESTADO`,
			data: `estado`,
			className: 'text-center',
			render: (data) => {
				let label = "";
				let contenido = ""

				switch (data) {
					case 0:
						label = "label bg-purple"
						contenido = "PENDIENTE"
						break;
					case 1:
						label = "label label-success"
						contenido = "ACEPTADO"
						break;
					case 2:
						label = "label label-warning"
						contenido = "RECHAZADO"
						break;
				}

				return `<span class="${label}">${contenido}</span>`;
			}
		},
		{
			title: `ACCIONES`,
			data: null,
			className: 'text-center',
			render: (data) => {
				let acciones = "";
				let registrar = "";
				let verdetalle = "";
				verdetalle = `<span data-toggle="tooltip" data-placement="left" title="Ver detalle" style="cursor: pointer"> <i class='verdetalle fa fa-list text-primary-700'></i>&nbsp;&nbsp; </span>`;
				acciones = verdetalle;
				return acciones;
			}
		}
	];

	return columns;
}

const mostrarModalVerDetalleJustificacion = (data) => {
//	let filtros = {
//		fecha_inicio: $("#dpFechaInicioFiltro").val(),
//		fecha_fin: $("#dpFechaFinFiltro").val(),
//		sede_id: $("#cboSedesFiltro").val()
//	}
debugger
	localStorage.setItem('data', JSON.stringify(data))
//	localStorage.setItem('filtros', JSON.stringify(filtros))
	location.href = `${baseURLModals}justificaciones/evaluarJustificacion.jsp`
}



const listarJustificaciones = (objParams = {}) => {
	ajaxWebService.get(URI_JUSTIFICACION, objParams).then((response) => {
		let columns = getColumns();

		let wrapsNameDatatable = `divDatatable`;
		let classNameForDatatable = `display table table-bordered`;

		makeDatatable(
			wrapsNameDatatable,
			{
				data: response.data,
				columns,
			},
			classNameForDatatable,
			).then((nodes) => {
			nodes.container
				.off()
				.on("click", ".verdetalle", function () {
					let data = nodes.datatable.DataTable().row($(this).parents("tr")).data();
					mostrarModalVerDetalleJustificacion(data);
				})

		});
	});
};
const formControls = {
	init() {

	}
}

$(document).ready(function () {
	listarJustificaciones()
})